Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class ColorProfileUtil

    java.lang.Object
      org.apache.fop.util.ColorProfileUtil

public class ColorProfileUtil
extends java.lang.Object

Helper methods for handling color profiles.

Constructor Summary
`ColorProfileUtil()`

Method Summary
`static java.lang.String` | `getICCProfileDescription(java.awt.color.ICC_Profile profile)` Returns the profile description of an ICC profile
`static boolean` | `isDefaultsRGB(java.awt.color.ICC_Profile profile)` Indicates whether a given color profile is identical to the default sRGB profile provided by the Java class library.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColorProfileUtil

    public ColorProfileUtil()

Method Detail

### getICCProfileDescription

    public static java.lang.String getICCProfileDescription(java.awt.color.ICC_Profile profile)

  Returns the profile description of an ICC profile

  Parameters:
    `profile` - the profile
  Returns:
    the description

### isDefaultsRGB

    public static boolean isDefaultsRGB(java.awt.color.ICC_Profile profile)

  Indicates whether a given color profile is identical to the default sRGB profile provided by the Java class library.

  Parameters:
    `profile` - the color profile to check
  Returns:
    true if it is the default sRGB profile

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.